rte_fbk_hash_params(3)

NAME
rte_fbk_hash_params

SYNOPSIS

#include <rte_fbk_hash.h>

  Data Fields

const char * name
uint32_t entries
uint32_t entries_per_bucket
int socket_id
rte_fbk_hash_fn hash_func
uint32_t init_val

Detailed Description

Parameters used when creating four-byte key hash table.

Definition at line 49 of file rte_fbk_hash.h.

Field Documentation

  const char* name
Name of the hash table.

Definition at line 50 of file rte_fbk_hash.h.

  uint32_t entries
Total number of entries.

Definition at line 51 of file rte_fbk_hash.h.

  uint32_t entries_per_bucket
Number of entries in a bucket.

Definition at line 52 of file rte_fbk_hash.h.

  int socket_id
Socket to allocate memory on.

Definition at line 53 of file rte_fbk_hash.h.

  rte_fbk_hash_fn hash_func
The hash function.

Definition at line 54 of file rte_fbk_hash.h.

  uint32_t init_val
For initialising hash function.

Definition at line 55 of file rte_fbk_hash.h.

Author

Generated automatically by Doxygen for DPDK from the source code.